<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class MediaMonitoringTheme extends Model
{
    use HasFactory;

    protected $table = 'media_monitoring_theme';

    protected $guarded = ['id'];

    public function mediaMonitoring(): BelongsTo
    {
        return $this->belongsTo(MediaMonitoring::class);
    }

    public function theme(): BelongsTo
    {
        return $this->belongsTo(Theme::class);
    }
}
